JarLibResolveTask (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.extension.JarLibResolveTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.extension
Class JarLibResolveTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.extension.JarLibResolveTask

public class JarLibResolveTask
extends Task

Tries to locate a JAR to satisfy an extension and place location of JAR into property.

Author:
  Peter Donald, Jeff Turner

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`JarLibResolveTask()`

Method Summary
`void` | `addConfiguredAnt(AntResolver ant)` Adds Ant resolver to run an Ant build file to generate a library.
`void` | `addConfiguredExtension(ExtensionAdapter extension)` Set the Extension looking for.
`void` | `addConfiguredLocation(LocationResolver location)` Adds location resolver to look for a library in a location relative to project directory.
`void` | `addConfiguredUrl(URLResolver url)` Adds a URL resolver to download a library from a URL to a local file.
`void` | `execute()` Called by the project to let the task do its work.
`void` | `setCheckExtension(boolean checkExtension)` If true, libraries returned by nested resolvers should be checked to see if they supply extension.
`void` | `setFailOnError(boolean failOnError)` If true, failure to locate library should fail build.
`void` | `setProperty(java.lang.String property)` The name of the property in which the location of library is stored.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JarLibResolveTask

    public JarLibResolveTask()

Method Detail

### setProperty

    public void setProperty(java.lang.String property)

  The name of the property in which the location of library is stored.

  Parameters:
    `property` - The name of the property in which the location of library is stored.

### setCheckExtension

    public void setCheckExtension(boolean checkExtension)

  If true, libraries returned by nested resolvers should be checked to see if they supply extension.

### setFailOnError

    public void setFailOnError(boolean failOnError)

  If true, failure to locate library should fail build.

### addConfiguredLocation

    public void addConfiguredLocation(LocationResolver location)

  Adds location resolver to look for a library in a location relative to project directory.

### addConfiguredUrl

    public void addConfiguredUrl(URLResolver url)

  Adds a URL resolver to download a library from a URL to a local file.

### addConfiguredAnt

    public void addConfiguredAnt(AntResolver ant)

  Adds Ant resolver to run an Ant build file to generate a library.

### addConfiguredExtension

    public void addConfiguredExtension(ExtensionAdapter extension)

  Set the Extension looking for.

  Parameters:
    `extension` - Set the Extension looking for.

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.